import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { AirportSchema } from './models/airport.model';
import { AirportService } from './airport.service';
import { AirportController } from './airport.controller';

@Module({
  imports: [
    MongooseModule.forFeature([{ name: 'airport', schema: AirportSchema }]),
  ],
  providers: [AirportService],
  controllers: [AirportController],
  exports: [AirportService],
})
export class AirportModule {}
