import { IsNotEmpty, IsOptional } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';
import { ConstraintDto } from './constraint.dto';

export class ArrivalRouteDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The arrival route identifier',
    example: 'KLF25L',
  })
  arrival: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The runway of the arrival route',
    example: '25L',
  })
  runway: string;

  @IsOptional()
  @ApiProperty({
    description: 'The constraints on the arrival route',
  })
  constraints: ConstraintDto[];
}
